> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nova-cloud.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pricing

> Get current pricing for all GPU types, storage, and network. No authentication required.



## OpenAPI

````yaml /api-reference/openapi.json get /pricing
openapi: 3.1.0
info:
  title: Nova Cloud API
  description: >-
    REST API for the Nova Cloud GPU rental platform. Manage virtual machines,
    SSH keys, billing, and more.
  version: 1.0.0
  contact:
    name: Nova Cloud Support
    email: support@nova-cloud.ai
    url: https://nova-cloud.ai
servers:
  - url: https://api.nova-cloud.ai
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Authentication
    description: User registration, login, and token management
  - name: API Keys
    description: Create and manage API keys for programmatic access
  - name: SSH Keys
    description: Upload and manage SSH public keys for VM access
  - name: Virtual Machines
    description: Create, manage, and monitor GPU-powered VMs
  - name: Search & Pricing
    description: Browse available GPU offers and current pricing
  - name: Billing
    description: Balance, usage, transactions, and payment management
  - name: Reservations
    description: Reserved instance pricing and management
paths:
  /pricing:
    get:
      tags:
        - Search & Pricing
      summary: Get pricing
      description: >-
        Get current pricing for all GPU types, storage, and network. No
        authentication required.
      operationId: get_pricing
      responses:
        '200':
          description: Current pricing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PricingResponse'
      security: []
components:
  schemas:
    PricingResponse:
      type: object
      properties:
        gpus:
          type: object
          additionalProperties:
            type: number
          description: GPU type to hourly rate mapping
        storage_gb_monthly:
          type: number
        network_tb:
          type: number
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or API Key
      description: Use a JWT access token or API key (prefixed with nv_)

````